{: test that a compilation error occurs when the high bound of a
   case constant range is less than the low bound }

program e1022( output );

var
   e :  integer;

begin { e1022 }

   e := 42;
   case e of
     56..55: writeln(' !!! illegal range');
   end; {case}
   writeln( 'case error not detected' );
end. { e1022 }

